---
title: "Bulk resolve all unresolved error logs"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › ErrorLogs

`POST /api/workspaces/{workspaceId}/error-logs/resolve-all`

## Authentication

- `ApiKeyAuth`, apiKey, in header, header `X-API-Key`, format `API_KEY`

## Path parameters

- `workspaceId` (`post/api/workspaces/workspaceId/error-logs/resolve-all.path.workspaceId`; string, required)

## Request body

- `category` (`post/api/workspaces/workspaceId/error-logs/resolve-all.category`; string, optional)
- `subcategory` (`post/api/workspaces/workspaceId/error-logs/resolve-all.subcategory`; string, optional)

## Example request

```json
{
  "category": "string",
  "subcategory": "string"
}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.channelautomation.com/api/workspaces/<workspaceId>/error-logs/resolve-all' \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <X-API-Key>' \
  --data '
{
  "category": "string",
  "subcategory": "string"
}
'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/workspaces/<workspaceId>/error-logs/resolve-all';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', 'X-API-Key': '<X-API-Key>'},
  body: JSON.stringify({category: 'string', subcategory: 'string'})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/workspaces/<workspaceId>/error-logs/resolve-all"

payload = {
    "category": "string",
    "subcategory": "string"
}
headers = {
    "Content-Type": "application/json",
    "X-API-Key": "<X-API-Key>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

All matching errors resolved

### 500

Internal server error

#### Example

```json
{
  "error": "Internal server error",
  "details": "string",
  "success": false
}
```

- `error` (`post/api/workspaces/workspaceId/error-logs/resolve-all.response.500.error`; string, optional)
  - example `"Internal server error"`
- `details` (`post/api/workspaces/workspaceId/error-logs/resolve-all.response.500.details`; string, optional)
- `success` (`post/api/workspaces/workspaceId/error-logs/resolve-all.response.500.success`; boolean, optional)
  - example `false`


Source: https://developer.channelautomations.com/api/post-api-workspaces-workspace-id-error-logs-resolve-all/index.md
